/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * distance(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => np.float64(0.0)lf
 * distance(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => np.float64(1.710204666114556)lf
 * distance(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => np.float64(1.710204666114556)lf
 * distance(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => np.float64(0.0)lf
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[0.0 <= distance(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) && distance(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) <= 0.0 ? 1 : -1] array0;
  double[1.710187564067895 <= distance(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) && distance(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) <= 1.710221768161217 ? 1 : -1] array1;
  double[1.710187564067895 <= distance(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) && distance(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) <= 1.710221768161217 ? 1 : -1] array2;
  double[0.0 <= distance(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) && distance(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) <= 0.0 ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
