/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> u64vec4(np.uint64(2)ul, np.uint64(5)ul, np.uint64(45)ul, np.uint64(63)ul)) => i64vec4(np.int64(41)l, np.int64(4)l, np.int64(0)l, np.int64(0)l)
 * (i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> u64vec4(np.uint64(34)ul, np.uint64(4)ul, np.uint64(24)ul, np.uint64(62)ul)) => i64vec4(np.int64(0)l, np.int64(8)l, np.int64(0)l, np.int64(0)l)
 * (i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> u64vec4(np.uint64(2)ul, np.uint64(5)ul, np.uint64(45)ul, np.uint64(63)ul)) => i64vec4(np.int64(20)l, np.int64(-1)l, np.int64(-1)l, np.int64(0)l)
 * (i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> u64vec4(np.uint64(34)ul, np.uint64(4)ul, np.uint64(24)ul, np.uint64(62)ul)) => i64vec4(np.int64(0)l, np.int64(-1)l, np.int64(-1)l, np.int64(0)l)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> u64vec4(np.uint64(2)ul, np.uint64(5)ul, np.uint64(45)ul, np.uint64(63)ul)), i64vec4(np.int64(41)l, np.int64(4)l, np.int64(0)l, np.int64(0)l))) ? 1 : -1] array0;
  float[all(equal((i64vec4(np.int64(165)l, np.int64(133)l, np.int64(193)l, np.int64(76)l) >> u64vec4(np.uint64(34)ul, np.uint64(4)ul, np.uint64(24)ul, np.uint64(62)ul)), i64vec4(np.int64(0)l, np.int64(8)l, np.int64(0)l, np.int64(0)l))) ? 1 : -1] array1;
  float[all(equal((i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> u64vec4(np.uint64(2)ul, np.uint64(5)ul, np.uint64(45)ul, np.uint64(63)ul)), i64vec4(np.int64(20)l, np.int64(-1)l, np.int64(-1)l, np.int64(0)l))) ? 1 : -1] array2;
  float[all(equal((i64vec4(np.int64(80)l, np.int64(-15)l, np.int64(-51)l, np.int64(0)l) >> u64vec4(np.uint64(34)ul, np.uint64(4)ul, np.uint64(24)ul, np.uint64(62)ul)), i64vec4(np.int64(0)l, np.int64(-1)l, np.int64(-1)l, np.int64(0)l))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
