/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(0)u) => u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)
 * (u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(1)u) => u64vec4(np.uint64(82)ul, np.uint64(66)ul, np.uint64(96)ul, np.uint64(38)ul)
 * (u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(2)u) => u64vec4(np.uint64(41)ul, np.uint64(33)ul, np.uint64(48)ul, np.uint64(19)ul)
 * (u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(5)u) => u64vec4(np.uint64(5)ul, np.uint64(4)ul, np.uint64(6)ul, np.uint64(2)ul)
 * (u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(25)u) => u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(31)u) => u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(0)u) => u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(1)u) => u64vec4(np.uint64(40)ul, np.uint64(7)ul, np.uint64(25)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(2)u) => u64vec4(np.uint64(20)ul, np.uint64(3)ul, np.uint64(12)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(5)u) => u64vec4(np.uint64(2)ul, np.uint64(0)ul, np.uint64(1)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(25)u) => u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(31)u) => u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(0)u), u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul))) ? 1 : -1] array0;
  float[all(equal((u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(1)u), u64vec4(np.uint64(82)ul, np.uint64(66)ul, np.uint64(96)ul, np.uint64(38)ul))) ? 1 : -1] array1;
  float[all(equal((u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(2)u), u64vec4(np.uint64(41)ul, np.uint64(33)ul, np.uint64(48)ul, np.uint64(19)ul))) ? 1 : -1] array2;
  float[all(equal((u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(5)u), u64vec4(np.uint64(5)ul, np.uint64(4)ul, np.uint64(6)ul, np.uint64(2)ul))) ? 1 : -1] array3;
  float[all(equal((u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(25)u), u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul))) ? 1 : -1] array4;
  float[all(equal((u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) >> np.uint32(31)u), u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul))) ? 1 : -1] array5;
  float[all(equal((u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(0)u), u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul))) ? 1 : -1] array6;
  float[all(equal((u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(1)u), u64vec4(np.uint64(40)ul, np.uint64(7)ul, np.uint64(25)ul, np.uint64(0)ul))) ? 1 : -1] array7;
  float[all(equal((u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(2)u), u64vec4(np.uint64(20)ul, np.uint64(3)ul, np.uint64(12)ul, np.uint64(0)ul))) ? 1 : -1] array8;
  float[all(equal((u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(5)u), u64vec4(np.uint64(2)ul, np.uint64(0)ul, np.uint64(1)ul, np.uint64(0)ul))) ? 1 : -1] array9;
  float[all(equal((u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(25)u), u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul))) ? 1 : -1] array10;
  float[all(equal((u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) >> np.uint32(31)u), u64vec4(np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul, np.uint64(0)ul))) ? 1 : -1] array11;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
