/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * exp2(np.float32(-2.0)) => np.float32(0.25)
 * exp2(np.float32(-0.6666667)) => np.float32(0.62996054)
 * exp2(np.float32(0.6666667)) => np.float32(1.587401)
 * exp2(np.float32(2.0)) => np.float32(4.0)
 */
#version 120

void main()
{
  float[distance(exp2(np.float32(-2.0)), np.float32(0.25)) <= np.float32(2.5e-06) ? 1 : -1] array0;
  float[distance(exp2(np.float32(-0.6666667)), np.float32(0.62996054)) <= np.float32(6.299605e-06) ? 1 : -1] array1;
  float[distance(exp2(np.float32(0.6666667)), np.float32(1.587401)) <= np.float32(1.5874011e-05) ? 1 : -1] array2;
  float[distance(exp2(np.float32(2.0)), np.float32(4.0)) <= np.float32(4e-05) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
