/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.int32(12) * np.int32(12)) => np.int32(144)
 * (np.int32(12) * np.int32(-6)) => np.int32(-72)
 * (np.int32(12) * np.int32(76)) => np.int32(912)
 * (np.int32(12) * np.int32(-32)) => np.int32(-384)
 * (np.int32(12) * np.int32(0)) => np.int32(0)
 * (np.int32(-6) * np.int32(12)) => np.int32(-72)
 * (np.int32(-6) * np.int32(-6)) => np.int32(36)
 * (np.int32(-6) * np.int32(76)) => np.int32(-456)
 * (np.int32(-6) * np.int32(-32)) => np.int32(192)
 * (np.int32(-6) * np.int32(0)) => np.int32(0)
 * (np.int32(76) * np.int32(12)) => np.int32(912)
 * (np.int32(76) * np.int32(-6)) => np.int32(-456)
 * (np.int32(76) * np.int32(76)) => np.int32(5776)
 * (np.int32(76) * np.int32(-32)) => np.int32(-2432)
 * (np.int32(76) * np.int32(0)) => np.int32(0)
 * (np.int32(-32) * np.int32(12)) => np.int32(-384)
 * (np.int32(-32) * np.int32(-6)) => np.int32(192)
 * (np.int32(-32) * np.int32(76)) => np.int32(-2432)
 * (np.int32(-32) * np.int32(-32)) => np.int32(1024)
 * (np.int32(-32) * np.int32(0)) => np.int32(0)
 * (np.int32(0) * np.int32(12)) => np.int32(0)
 * (np.int32(0) * np.int32(-6)) => np.int32(0)
 * (np.int32(0) * np.int32(76)) => np.int32(0)
 * (np.int32(0) * np.int32(-32)) => np.int32(0)
 * (np.int32(0) * np.int32(0)) => np.int32(0)
 */
#version 120

void main()
{
  float[(np.int32(12) * np.int32(12)) == np.int32(144) ? 1 : -1] array0;
  float[(np.int32(12) * np.int32(-6)) == np.int32(-72) ? 1 : -1] array1;
  float[(np.int32(12) * np.int32(76)) == np.int32(912) ? 1 : -1] array2;
  float[(np.int32(12) * np.int32(-32)) == np.int32(-384) ? 1 : -1] array3;
  float[(np.int32(12) * np.int32(0)) == np.int32(0) ? 1 : -1] array4;
  float[(np.int32(-6) * np.int32(12)) == np.int32(-72) ? 1 : -1] array5;
  float[(np.int32(-6) * np.int32(-6)) == np.int32(36) ? 1 : -1] array6;
  float[(np.int32(-6) * np.int32(76)) == np.int32(-456) ? 1 : -1] array7;
  float[(np.int32(-6) * np.int32(-32)) == np.int32(192) ? 1 : -1] array8;
  float[(np.int32(-6) * np.int32(0)) == np.int32(0) ? 1 : -1] array9;
  float[(np.int32(76) * np.int32(12)) == np.int32(912) ? 1 : -1] array10;
  float[(np.int32(76) * np.int32(-6)) == np.int32(-456) ? 1 : -1] array11;
  float[(np.int32(76) * np.int32(76)) == np.int32(5776) ? 1 : -1] array12;
  float[(np.int32(76) * np.int32(-32)) == np.int32(-2432) ? 1 : -1] array13;
  float[(np.int32(76) * np.int32(0)) == np.int32(0) ? 1 : -1] array14;
  float[(np.int32(-32) * np.int32(12)) == np.int32(-384) ? 1 : -1] array15;
  float[(np.int32(-32) * np.int32(-6)) == np.int32(192) ? 1 : -1] array16;
  float[(np.int32(-32) * np.int32(76)) == np.int32(-2432) ? 1 : -1] array17;
  float[(np.int32(-32) * np.int32(-32)) == np.int32(1024) ? 1 : -1] array18;
  float[(np.int32(-32) * np.int32(0)) == np.int32(0) ? 1 : -1] array19;
  float[(np.int32(0) * np.int32(12)) == np.int32(0) ? 1 : -1] array20;
  float[(np.int32(0) * np.int32(-6)) == np.int32(0) ? 1 : -1] array21;
  float[(np.int32(0) * np.int32(76)) == np.int32(0) ? 1 : -1] array22;
  float[(np.int32(0) * np.int32(-32)) == np.int32(0) ? 1 : -1] array23;
  float[(np.int32(0) * np.int32(0)) == np.int32(0) ? 1 : -1] array24;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length());
}
