/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec2(np.float32(-0.1), np.float32(-1.2)) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => vec2(np.float32(-1.996), np.float32(1.1240001))
 * (vec2(np.float32(-0.1), np.float32(-1.2)) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => vec2(np.float32(1.6930001), np.float32(-1.593))
 * (vec2(np.float32(-0.42), np.float32(0.48)) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => vec2(np.float32(0.06239998), np.float32(-0.7992))
 * (vec2(np.float32(-0.42), np.float32(0.48)) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => vec2(np.float32(-0.6174), np.float32(1.0374))
 */
#version 120

void main()
{
  float[distance((vec2(np.float32(-0.1), np.float32(-1.2)) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))), vec2(np.float32(-1.996), np.float32(1.1240001))) <= np.float32(2.2907187e-05) ? 1 : -1] array0;
  float[distance((vec2(np.float32(-0.1), np.float32(-1.2)) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))), vec2(np.float32(1.6930001), np.float32(-1.593))) <= np.float32(2.3246286e-05) ? 1 : -1] array1;
  float[distance((vec2(np.float32(-0.42), np.float32(0.48)) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))), vec2(np.float32(0.06239998), np.float32(-0.7992))) <= np.float32(8.016323e-06) ? 1 : -1] array2;
  float[distance((vec2(np.float32(-0.42), np.float32(0.48)) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))), vec2(np.float32(-0.6174), np.float32(1.0374))) <= np.float32(1.2072205e-05) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
