/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * radians(vec3(np.float32(-180.0), np.float32(-60.0), np.float32(60.0))) => vec3(np.float32(-3.1415927), np.float32(-1.0471976), np.float32(1.0471976))
 * radians(vec3(np.float32(180.0), np.float32(-180.0), np.float32(-60.0))) => vec3(np.float32(3.1415927), np.float32(-3.1415927), np.float32(-1.0471976))
 */
#version 120

void main()
{
  float[distance(radians(vec3(np.float32(-180.0), np.float32(-60.0), np.float32(60.0))), vec3(np.float32(-3.1415927), np.float32(-1.0471976), np.float32(1.0471976))) <= np.float32(3.4731613e-05) ? 1 : -1] array0;
  float[distance(radians(vec3(np.float32(180.0), np.float32(-180.0), np.float32(-60.0))), vec3(np.float32(3.1415927), np.float32(-3.1415927), np.float32(-1.0471976))) <= np.float32(4.5646284e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
