/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) % np.int32(12)) => ivec3(np.int32(0), np.int32(8), np.int32(4))
 * (ivec3(np.int32(36), np.int32(32), np.int32(88)) % np.int32(76)) => ivec3(np.int32(36), np.int32(32), np.int32(12))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) % np.int32(12)) => ivec3(np.int32(11), np.int32(5), np.int32(8))
 * (ivec3(np.int32(59), np.int32(77), np.int32(68)) % np.int32(76)) => ivec3(np.int32(59), np.int32(1), np.int32(68))
 */
#version 130

void main()
{
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) % np.int32(12)), ivec3(np.int32(0), np.int32(8), np.int32(4)))) ? 1 : -1] array0;
  float[all(equal((ivec3(np.int32(36), np.int32(32), np.int32(88)) % np.int32(76)), ivec3(np.int32(36), np.int32(32), np.int32(12)))) ? 1 : -1] array1;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) % np.int32(12)), ivec3(np.int32(11), np.int32(5), np.int32(8)))) ? 1 : -1] array2;
  float[all(equal((ivec3(np.int32(59), np.int32(77), np.int32(68)) % np.int32(76)), ivec3(np.int32(59), np.int32(1), np.int32(68)))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
