/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> ivec4(np.int32(16), np.int32(24), np.int32(23), np.int32(25))) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> ivec4(np.int32(23), np.int32(12), np.int32(14), np.int32(19))) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> ivec4(np.int32(16), np.int32(24), np.int32(23), np.int32(25))) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 * (uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> ivec4(np.int32(23), np.int32(12), np.int32(14), np.int32(19))) => uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u)
 */
#version 130

void main()
{
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> ivec4(np.int32(16), np.int32(24), np.int32(23), np.int32(25))), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array0;
  float[all(equal((uvec4(np.uint32(16)u, np.uint32(24)u, np.uint32(23)u, np.uint32(25)u) >> ivec4(np.int32(23), np.int32(12), np.int32(14), np.int32(19))), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array1;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> ivec4(np.int32(16), np.int32(24), np.int32(23), np.int32(25))), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array2;
  float[all(equal((uvec4(np.uint32(23)u, np.uint32(12)u, np.uint32(14)u, np.uint32(19)u) >> ivec4(np.int32(23), np.int32(12), np.int32(14), np.int32(19))), uvec4(np.uint32(0)u, np.uint32(0)u, np.uint32(0)u, np.uint32(0)u))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
