/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => dmat4x2(np.float64(0.165)lf, np.float64(1.9799999999999998)lf, np.float64(-0.133)lf, np.float64(-1.596)lf, np.float64(-0.193)lf, np.float64(-2.316)lf, np.float64(-0.07600000000000001)lf, np.float64(-0.9119999999999999)lf)
 * outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => dmat4x2(np.float64(-0.08000000000000002)lf, np.float64(-0.96)lf, np.float64(0.015)lf, np.float64(0.18)lf, np.float64(0.051000000000000004)lf, np.float64(0.612)lf, np.float64(-0.0)lf, np.float64(-0.0)lf)
 * outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => dmat4x2(np.float64(0.693)lf, np.float64(-0.7919999999999999)lf, np.float64(-0.5586)lf, np.float64(0.6384)lf, np.float64(-0.8106)lf, np.float64(0.9263999999999999)lf, np.float64(-0.3192)lf, np.float64(0.3648)lf)
 * outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => dmat4x2(np.float64(-0.336)lf, np.float64(0.384)lf, np.float64(0.063)lf, np.float64(-0.072)lf, np.float64(0.2142)lf, np.float64(-0.2448)lf, np.float64(-0.0)lf, np.float64(0.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[(distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[0], dvec2(np.float64(0.165)lf, np.float64(1.9799999999999998)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[0], dvec2(np.float64(0.165)lf, np.float64(1.9799999999999998)lf))) + (distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[1], dvec2(np.float64(-0.133)lf, np.float64(-1.596)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[1], dvec2(np.float64(-0.133)lf, np.float64(-1.596)lf))) + (distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[2], dvec2(np.float64(-0.193)lf, np.float64(-2.316)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[2], dvec2(np.float64(-0.193)lf, np.float64(-2.316)lf))) + (distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[3], dvec2(np.float64(-0.07600000000000001)lf, np.float64(-0.9119999999999999)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[3], dvec2(np.float64(-0.07600000000000001)lf, np.float64(-0.9119999999999999)lf))) <= np.float64(1.2751155000000003e-09)lf ? 1 : -1] array0;
  double[(distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[0], dvec2(np.float64(-0.08000000000000002)lf, np.float64(-0.96)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[0], dvec2(np.float64(-0.08000000000000002)lf, np.float64(-0.96)lf))) + (distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[1], dvec2(np.float64(0.015)lf, np.float64(0.18)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[1], dvec2(np.float64(0.015)lf, np.float64(0.18)lf))) + (distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[2], dvec2(np.float64(0.051000000000000004)lf, np.float64(0.612)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[2], dvec2(np.float64(0.051000000000000004)lf, np.float64(0.612)lf))) + (distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[3], dvec2(np.float64(-0.0)lf, np.float64(-0.0)lf)) * distance(outerProduct(dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[3], dvec2(np.float64(-0.0)lf, np.float64(-0.0)lf))) <= np.float64(1.3377699999999995e-10)lf ? 1 : -1] array1;
  double[(distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[0], dvec2(np.float64(0.693)lf, np.float64(-0.7919999999999999)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[0], dvec2(np.float64(0.693)lf, np.float64(-0.7919999999999999)lf))) + (distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[1], dvec2(np.float64(-0.5586)lf, np.float64(0.6384)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[1], dvec2(np.float64(-0.5586)lf, np.float64(0.6384)lf))) + (distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[2], dvec2(np.float64(-0.8106)lf, np.float64(0.9263999999999999)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[2], dvec2(np.float64(-0.8106)lf, np.float64(0.9263999999999999)lf))) + (distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[3], dvec2(np.float64(-0.3192)lf, np.float64(0.3648)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf))[3], dvec2(np.float64(-0.3192)lf, np.float64(0.3648)lf))) <= np.float64(3.5773585199999995e-10)lf ? 1 : -1] array2;
  double[(distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[0], dvec2(np.float64(-0.336)lf, np.float64(0.384)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[0], dvec2(np.float64(-0.336)lf, np.float64(0.384)lf))) + (distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[1], dvec2(np.float64(0.063)lf, np.float64(-0.072)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[1], dvec2(np.float64(0.063)lf, np.float64(-0.072)lf))) + (distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[2], dvec2(np.float64(0.2142)lf, np.float64(-0.2448)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[2], dvec2(np.float64(0.2142)lf, np.float64(-0.2448)lf))) + (distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[3], dvec2(np.float64(-0.0)lf, np.float64(0.0)lf)) * distance(outerProduct(dvec2(np.float64(-0.42)lf, np.float64(0.48)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf))[3], dvec2(np.float64(-0.0)lf, np.float64(0.0)lf))) <= np.float64(3.7531368e-11)lf ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
